# pamstretch-gen

Updated: 10 April 2000
Table Of Contents

## NAME

pamstretch-gen - use pamstretch and pamscale to scale by non-integer values

## SYNOPSIS

pamstretch-gen N [pnmfile]

## DESCRIPTION

This program is part of Netpbm. pamstretch-gen is a program which uses pamstretch, pnmfile, and pamscale to smoothly scale up a PNM file by any ratio; it's like a more general version of pamstretch (hence the name). But other than the `any ratio' bit, it's much the same as pamstretch. :-)

## LIMITATIONS

The program uses awk just to make some simple floating-point calculations, which is probably overkill. But using dc makes my head hurt.

## SEE ALSO

pamstretch, pamscale

## AUTHOR

Russell Marks (russell.marks@ntlworld.com).

## Table Of Contents

- NAME
- SYNOPSIS
- DESCRIPTION
- BUGS
- SEE ALSO
- AUTHOR